# HxBot
**HxBot** is an IRC bot written in Haxe. It is the successor project to [PyBot](https://forge.ds8.zone/Izwzyzx/PyBot) and [GimelBot](https://forge.ds8.zone/Izwzyzx/GimelBot).

The success of HxBot quickly led to the start of [onequestionmark-chat](https://forge.ds8.zone/Izwzyzx/onequestionmark-chat), which directly uses HxBot's command processor.

## Changelog
### HxRawBot v1.1
- ✔️ Cleaned code
- ✔️ Added exception catching
- ✔️ Changed command prefix to `?`
- ✔️ Added command processor
- ✔️ Channels joined on startup are now an array
- ✔️ Implemented functions
- ✔️ Implemented all chat commands from PyBot
- ✔️ Fix: Only accepts `?quit` from authorized users
- ✔️ Fix: No longer attempts rejoin when others are kicked

### HxRawBot v1.0
- ✔️ Connects to specified IRC server
- ✔️ Joins #lobby
- ✔️ Prints received messages to console
- ✔️ Responds to server pings
- ✔️ Rejoins channel when kicked
- ✔️ Responds to `!quit` command
- ❌ ~~Does not detect connection loss~~ (Haxe interpreter bug)